<!-- Sidebar header -->
<div class="sidebar-header">
    <div class="logo clearfix">
        <svg aria-hidden="true" focusable="false" data-prefix="fal" data-icon="radar" class="svg-inline--fa fa-radar fa-w-16 text-white" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M503.99585,264.19238C499.67236,397.36719,390.32422,504,256.06445,504,113.42725,504-1.092,383.64551,8.56958,238.97461c8.21411-122.999,108.14771-222.498,231.19507-230.44727,69.12842-4.46582,132.34009,19.71875,179.76977,61.42188l35.61524-35.60547a8.00327,8.00327,0,0,1,11.31689,0L477.78,45.65625a7.99914,7.99914,0,0,1-.00049,11.31348L265.03735,269.65625a8.003,8.003,0,0,1-11.31738,0L242.40649,258.3457a7.999,7.999,0,0,1,0-11.31445l45.89478-45.88281A62.51727,62.51727,0,0,0,256.06445,192a64.02183,64.02183,0,1,0,63.63306,71.02637A7.92009,7.92009,0,0,1,327.59277,256h16.08716a8.07465,8.07465,0,0,1,8.00928,8.82227,96.02921,96.02921,0,0,1-191.6311-10.73633c.93481-47.99121,38.821-88.7041,86.584-93.60156,24.45117-2.50684,46.55884,4.9082,64.52832,17.80078L345.228,144.23633C320.63379,124.48633,289.99316,112,256.06445,112c-70.7351,0-129.41064,51.33594-141.47021,118.63477,7.9414,5.82421,13.437,14.76367,13.437,25.36523,0,10.59961-5.49561,19.541-13.437,25.36523A143.92586,143.92586,0,0,0,230.69263,397.43359C236.51831,389.49414,245.46,384,256.06445,384c10.60425,0,19.5459,5.49414,25.37183,13.43359,64.83618-11.6123,114.85986-66.457,118.45776-133.668A8.05439,8.05439,0,0,1,407.866,256h16.031a7.97388,7.97388,0,0,1,8.02442,8.21484c-3.84912,83.64551-66.17969,151.876-147.02735,165.22461a31.67056,31.67056,0,0,1-57.65942,0A175.8776,175.8776,0,0,1,82.58008,284.82227a31.65708,31.65708,0,0,1,0-57.64649C96.3667,143.7168,168.68042,80,256.06445,80c42.8274,0,81.55811,15.9082,112.06226,41.34375l28.65576-28.64844C358.93091,60.02539,309.87915,40,256.06445,40,128.794,40,26.87354,150.583,41.38818,280.68848c11.05469,99.09082,90.85987,178.87695,189.97608,189.93164C358.82837,484.83594,467.561,387.37988,471.98071,263.81934A8.00326,8.00326,0,0,1,479.93213,256h16.01269A8.02725,8.02725,0,0,1,503.99585,264.19238Z"></path></svg>
        <div class="logo-img">
            <img src="./assets/img/logo.svg" />
        </div>
        <a class="nav-toggle d-none d-sm-none d-md-none d-lg-block" href="javascript:;" id="sidebarToggle">
            <i class="fas fa-toggle-on toggle-icon text-white" appsidebartoggle="" data-toggle="expanded"></i>
        </a>
        <a class="nav-close d-block d-md-block d-lg-none d-xl-none" href="javascript:;" id="sidebarClose">
            <i class="fas fa-toggle-off text-white"></i>
        </a>
    </div>
</div>
<!-- Sidebar content -->
<div class="sidebar-content">
    <div class="nav-container">
        <ul class="navigation">
            <li *ngFor="let menuItem of menuItems" [ngClass]="[menuItem.class]"
                [routerLinkActive]="menuItem.submenu.length != 0 ? '' : 'active'"
                [routerLinkActiveOptions]="{exact: true}">
                <a [routerLink]="menuItem.class === '' ? [menuItem.path] : null"
                    *ngIf="!menuItem.isExternalLink; else externalLinkBlock" class="text-white">
                    <i [ngClass]="[menuItem.icon]"></i>
                    <label class="menu-title font-small-2">{{ menuItem.title | translate}}</label>
                    <span *ngIf="menuItem.badge != '' " [ngClass]="[menuItem.badgeClass]" class="font-small-2">{{ menuItem.badge }}</span>
                </a>
                <ng-template #externalLinkBlock>
                    <a [href]="[menuItem.path]" class="text-white" target="_blank">
                        <i [ngClass]="[menuItem.icon]"></i>
                        <span class="menu-title font-small-2">{{ menuItem.title | translate }}</span>
                        <span *ngIf="menuItem.badge != '' " [ngClass]="[menuItem.badgeClass]" class="font-small-2">{{ menuItem.badge }}</span>
                    </a>
                </ng-template>
                <ul class="menu-content" *ngIf="menuItem.submenu.length > 0">
                    <li *ngFor="let menuSubItem of menuItem.submenu; let i = index"
                        [routerLinkActive]="menuSubItem.submenu.length > 0 ? '' : 'active'"
                        [ngClass]="[menuSubItem.class]">
                        <a [routerLink]="menuSubItem.submenu.length > 0 ? null : [menuSubItem.path]"
                            *ngIf="!menuSubItem.isExternalLink; else externalSubLinkBlock" class="text-white">
                            <i [ngClass]="[menuSubItem.icon]"></i>
                            <label class="menu-title sub-item font-small-2"
                                [ngClass]="i === (menuItem.submenu.length - 1) ? 'item-last' : ''">{{ menuSubItem.title | translate }}</label>
                            <span *ngIf="menuSubItem.badge != '' "
                                [ngClass]="[menuSubItem.badgeClass]" class="font-small-2">{{ menuSubItem.badge }}</span>
                        </a>
                        <ng-template #externalSubLinkBlock>
                            <a [href]="[menuSubItem.path]">
                                <i [ngClass]="[menuSubItem.icon]" class="text-white"></i>
                                <span class="menu-title font-small-2">{{ menuSubItem.title | translate }}</span>
                                <span *ngIf="menuSubItem.badge != '' "
                                    [ngClass]="[menuSubItem.badgeClass]" class="font-small-2">{{ menuSubItem.badge }}</span>
                            </a>
                        </ng-template>
                        <ul class="menu-content" *ngIf="menuSubItem.submenu.length > 0">
                            <li *ngFor="let menuSubsubItem of menuSubItem.submenu" routerLinkActive="active"
                                [routerLinkActiveOptions]="{exact: true}" [ngClass]="[menuSubsubItem.class]">
                                <a [routerLink]="[menuSubsubItem.path]"
                                    *ngIf="!menuSubsubItem.isExternalLink; else externalSubSubLinkBlock" class="text-white">
                                    <i [ngClass]="[menuSubsubItem.icon]"></i>
                                    <span class="menu-title font-small-2">{{ menuSubsubItem.title | translate }}</span>
                                    <span *ngIf="menuSubsubItem.badge != '' "
                                        [ngClass]="[menuSubsubItem.badgeClass]" class="font-small-2">{{ menuSubsubItem.badge }}</span>
                                </a>
                                <ng-template #externalSubSubLinkBlock>
                                    <a [href]="[menuSubsubItem.path]">
                                        <i [ngClass]="[menuSubsubItem.icon]" class="text-white"></i>
                                        <span class="menu-title font-small-2">{{ menuSubsubItem.title | translate}}</span>
                                        <span *ngIf="menuSubsubItem.badge != '' "
                                            [ngClass]="[menuSubsubItem.badgeClass]" class="font-small-2">{{ menuSubsubItem.badge }}</span>
                                    </a>
                                </ng-template>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>